apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  name: ns-conf
  annotations:
    tekton.dev/displayName: Namespace config
spec:
  params:
  - default: ns-conf $@
    description: The OpenShift CLI arguments to run
    name: SCRIPT
    type: string
  - default:
    - "--help"
    description: The OpenShift CLI arguments to run
    name: ARGS
    type: array
  workspaces:
  - name: source
    optional: true
    description: A workspace that contains the files which needs to deploy etc.
    mountPath: /mnt
  steps:
  - env:
    - name: HOME
      value: /tekton/home
    args:
    - $(params.ARGS)
    image: docker-images.jobtechdev.se/ns-conf/ns-conf:latest
    imagePullPolicy: Always
    name: ns-conf
    resources: {}
    script: |
      cd /mnt/source/
      $(params.SCRIPT)
